[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: nvidia-glx



Añade los repositorios non-free a /etc/apt/sources.list

deb http://http.us.debian.org/debian/ lenny main contrib non-free

e instala usando module-assistant
#apt-get install module-assistant build-essential
#m-a prepare
#m-a update
#m-a a-i nvidia

#depmod -a
#modprobe nvidia

O simplemente baja los modulos de la página de nvidia

http://www.nvidia.com/Download/index.aspx?lang=en-us

Mi tarjeta es una Nvidia GeForce 8200 y con los drivers de Nvidia funciona muy bien.

Saludos!!!

El 16 de junio de 2009 19:13, mariodebian <mariodebian@gmail.com> escribió:
El mar, 16-06-2009 a las 16:39 -0700, Axel Bayerl escribió:
> cuando trato de instalar nvidia-glx (depandencia de nvidia-glx-dev) me dice:
>
> Leyendo lista de paquetes... Hecho
> Creando árbol de dependencias
> Leyendo la información de estado... Hecho
> Leyendo la información de estado extendido
> Inicializando el estado de los paquetes... Hecho
> Leyendo las descripciones de las tareas... Hecho
> Los siguientes paquetes están ROTOS:
>   nvidia-glx
> 0 paquetes actualizados, 1 nuevos instalados, 0 para eliminar y 0 sin actualizar.
> Necesito descargar 8901kB de ficheros. Después de desempaquetar se usarán 26,9MB.
> No se satisfacen las dependencias de los siguientes paquetes:
>   nvidia-glx: Depende: nvidia-kernel-185.18.14 que es un paquete virtual.
> ¡Incapaz de resolver las dependencias! Desistiendo...
> Los siguientes paquetes están ROTOS:
>   nvidia-glx
> 0 paquetes actualizados, 1 nuevos instalados, 0 para eliminar y 0 sin actualizar.
> Necesito descargar 8901kB de ficheros. Después de desempaquetar se usarán 26,9MB.
> aptitude no pudo encontrar una solución a estas dependencias. Puede solucionar estas dependencias manualmente o pulsar «n» para salir.
> No se satisfacen las dependencias de los siguientes paquetes:
>   nvidia-glx: Depende: nvidia-kernel-185.18.14 que es un paquete virtual.
> ¿Desea resolver las depedencias manualmente? [N/+/-/_/:/?] ^C
>
> y cuando voy a ver el paquete a http://packages.debian.org/sid/nvidia-glx dice:
>
> nvidia-kernel-185.18.14
>     Package not available
>
> osea que nvidia-glx no es instalable porque una de sus dependencias no existe.
>
> Si alguien sabe alguna forma de instalar nvidia-glx-dev en sid, por favor digame como.
>
> Gracias.
> Axel.
>


nvidia-kernel-185.18.14 es un paquete virtual que es provisto por la
versión compilada del módulo del kernel...

apt-cache show nvidia-kernel-2.6.29-2-686 | grep ^Provides
Provides: nvidia-kernel-185.18.14


SOLUCIÓN: instala uno de los precompilados o compílalo con
module-assistant


Saludos
--
http://soleup.eup.uva.es/mariodebian


Reply to: